"{ Package: 'jv:calipel/s/benchmarks' }"

Object subclass:#BenchmarkGame
	instanceVariableNames:'iterations stream hello'
	classVariableNames:''
	poolDictionaries:''
	category:'CalipeL-S-Benchmarks'
!


!BenchmarkGame class methodsFor:'running'!

run: benchmark
    ^ (BenchmarkInstance class:BenchmarkGame selector:#strcat) run

    "Created: / 31-05-2013 / 10:39:53 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkGame methodsFor:'benchmarks'!

strcat
    <benchmark>

    1 to: iterations do: [:idx|
        stream nextPutAll:hello
    ].

    "Created: / 28-05-2013 / 00:49:54 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkGame methodsFor:'running'!

setUp
    <setup>

    stream := WriteStream on:String new.
    hello := 'hello' , Character cr asString.
    iterations := 5000000

    "Created: / 28-05-2013 / 00:50:21 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 31-05-2013 / 10:40:57 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkGame class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
!

version_MC
    ^ 'CalipeL_S-Benchmarks-JanVrany.1 b5f61090-c9d7-11e2-a959-606720e43e2c 2013-05-31T10:51:48 JanVrany'
! !

